Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
SVEvent Struct Reference

`#include <scrollview.h>`

List of all members.

## Public Member Functions

| ~SVEvent ()
SVEvent * | copy ()
| SVEvent ()
| SVEvent (const SVEvent &)
SVEvent & | operator= (const SVEvent &)

## Public Attributes

SVEventType | type
ScrollView * | window
int | x
int | y
int | x_size
int | y_size
int | command_id
char * | parameter
int | counter

## Detailed Description

Definition at line 61 of file scrollview.h.

## Constructor & Destructor Documentation

SVEvent::~SVEvent | ( |  | ) |

inline

Definition at line 62 of file scrollview.h.

{ delete [] parameter; }

SVEvent::SVEvent | ( |  | ) |

inline

Definition at line 74 of file scrollview.h.

{
window = NULL;
parameter = NULL;
}

SVEvent::SVEvent | ( | const SVEvent & |  | ) |

## Member Function Documentation

SVEvent * SVEvent::copy | ( |  | ) |

Definition at line 67 of file scrollview.cpp.

{
SVEvent* any = new SVEvent;
any->command_id = command_id;
any->counter = counter;
any->parameter = new char[strlen(parameter) + 1];
strncpy(any->parameter, parameter, strlen(parameter));
any->parameter[strlen(parameter)] = '\0';
any->type = type;
any->x = x;
any->y = y;
any->x_size = x_size;
any->y_size = y_size;
any->window = window;
return any;
}

SVEvent& SVEvent::operator= | ( | const SVEvent & |  | ) |

## Member Data Documentation

int SVEvent::command_id

Definition at line 70 of file scrollview.h.

int SVEvent::counter

Definition at line 72 of file scrollview.h.

char* SVEvent::parameter

Definition at line 71 of file scrollview.h.

SVEventType SVEvent::type

Definition at line 64 of file scrollview.h.

ScrollView* SVEvent::window

Definition at line 65 of file scrollview.h.

int SVEvent::x

Definition at line 66 of file scrollview.h.

int SVEvent::x_size

Definition at line 68 of file scrollview.h.

int SVEvent::y

Definition at line 67 of file scrollview.h.

int SVEvent::y_size

Definition at line 69 of file scrollview.h.

The documentation for this struct was generated from the following files:

- /mnt/data/src/tesseract-ocr/viewer/scrollview.h
- /mnt/data/src/tesseract-ocr/viewer/scrollview.cpp